# NOTE: Derived from blib/lib/Convert/TNEF.pm.
# Changes made here will be lost when autosplit again.
# See AutoSplit.pm.
package Convert::TNEF;

#line 700 "blib/lib/Convert/TNEF.pm (autosplit into blib/lib/auto/Convert/TNEF/build_data.al)"
sub build_data {
 my ($self, $fd, $length, $chksumref, $parms) = @_;
 my $cutoff = $parms->{output_to_core};
 my $incore = do {
  if    ($cutoff eq 'NONE') { 0 } #Everything to files
  elsif ($cutoff eq 'ALL') { 1 }  #Everything in memory
  elsif ($cutoff < $length) { 0 } #Large items in files
  else { 1 }                      #Everything else in memory
 };

 my $body = ($incore)? new Convert::TNEF::Scalar
                     : new Convert::TNEF::File mk_fname($parms);
 $body->binmode(1);
 my $io = $body->open("w");
 my $bufsiz = $parms->{buffer_size};
 $bufsiz = $length if $length < $bufsiz;
 my $buffer;
 my $chksum = 0;
 while ($length > 0) {
  my $num_bytes=$fd->read($buffer, $bufsiz);
  return read_err($num_bytes,$fd,$!) unless equal($num_bytes,$bufsiz);
  $io->print($buffer);
  $chksum += unpack("%16C*", $buffer);
  $chksum %= 65536;
  $length -= $bufsiz;
  $bufsiz = $length if $length < $bufsiz;
 }
 $$chksumref = pack("v", $chksum);
 $io->close;
 return $body;
}

# end of Convert::TNEF::build_data
1;
