# NOTE: Derived from blib/lib/Convert/TNEF.pm.
# Changes made here will be lost when autosplit again.
# See AutoSplit.pm.
package Convert::TNEF;

#line 662 "blib/lib/Convert/TNEF.pm (autosplit into blib/lib/auto/Convert/TNEF/debug_print.al)"
sub debug_print {
 my ($self, $length, $att_id, $data, $parms) = @_;
 if ($length < $parms->{debug_max_display}) {
  $data = $data->data;
  if ($att_id eq $att{TnefVersion}) {
   $data = unpack("L", $data);
   print "Version: $data\n";
  } elsif (substr($att_id, 2) eq $atp{Date} and $length == 14) {
   my ($yr, $mo, $day, $hr, $min, $sec, $dow) = unpack("vvvvvvv", $data);
   my $date = join ":", $yr, $mo, $day, $hr, $min, $sec, $dow;
   print "Date: $date\n";
   print "HDate:", unpack("H*",$data), "\n";
  } elsif ($att_id eq $att{AttachRenddata} and $length == 14) {
   my ($atyp,$ulPosition,$dxWidth,$dyHeight,$dwFlags) = unpack("vVvvV", $data);
   $data = join ":", $atyp, $ulPosition, $dxWidth, $dyHeight, $dwFlags;
   print "AttachRendData: $data\n";
  } else {
   print "Data:\n";
   print $1,"\n"
    while $data =~ /([^\r\n]{0,$parms->{debug_max_line_size}})\r?\n?/g;
   print "HData:\n";
   my $hdata = unpack("H*",$data);
   print $1,"\n" while $hdata =~ /(.{0,$parms->{debug_max_line_size}})/g;
  }
 } else {
  my $io=$data->open("r") or croak "Error opening attachment data handle: $!";
  my $buffer;
  $io->read($buffer, $parms->{debug_max_display});
  $io->close or croak "Error closing attachment data handle: $!";
  print "Data:\n";
  print $1,"\n"
   while $buffer =~ /([^\r\n]{0,$parms->{debug_max_line_size}})\r?\n?/sg;
  print "HData:\n";
  my $hdata = unpack("H*",$buffer);
  print $1,"\n" while $hdata =~ /(.{0,$parms->{debug_max_line_size}})/g;
 }
}

# end of Convert::TNEF::debug_print
1;
